Upstream information

CVE-2020-14145 at MITRE

Description

The client side in OpenSSH 5.7 through 8.3 has an Observable Discrepancy leading to an information leak in the algorithm negotiation. This allows man-in-the-middle attackers to target initial connection attempts (where no host key for the server has been cached by the client).

SUSE information

Overall state of this security issue: Analysis

This issue is currently rated as having moderate severity.

CVSS v2 Scores
  National Vulnerability Database
Base Score 4.3
Vector AV:N/AC:M/Au:N/C:P/I:N/A:N
Access Vector Network
Access Complexity Medium
Authentication None
Confidentiality Impact Partial
Integrity Impact None
Availability Impact None
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 5.9 4.7
Vector CVSS:3.1/AV:N/AC:H/PR:N/UI:N/S:U/C:H/I:N/A:N CVSS:3.1/AV:N/AC:H/PR:N/UI:R/S:C/C:L/I:L/A:N
Access Vector Network Network
Access Complexity High High
Privileges Required None None
User Interaction None Required
Scope Unchanged Changed
Confidentiality Impact High Low
Integrity Impact None Low
Availability Impact None None
CVSSv3 Version 3.1 3.1
SUSE Bugzilla entry: 1173513 [NEW]

No SUSE Security Announcements cross referenced.


Status of this issue by product and package

Please note that this evaluation state might be work in progress, incomplete or outdated. Also information for service packs in the LTSS phase is only included for issues meeting the LTSS criteria. If in doubt, feel free to contact us for clarification.

Product(s) Source package State
CaaS Platform 1.0 openssh Affected
CaaS Platform 2.0 openssh Affected
CaaS Platform 3.0 openssh Affected
SUSE Business Critical Linux 12 SP2 openssh Affected
SUSE Business Critical Linux 12 SP3 openssh Affected
SUSE Linux Enterprise High Performance Computing 12 openssh Affected
SUSE Linux Enterprise High Performance Computing ESPOS 15 GA openssh Affected
SUSE Linux Enterprise High Performance Computing LTSS 15 GA openssh Affected
SUSE Linux Enterprise Module for Basesystem 15 SP1 openssh Affected
SUSE Linux Enterprise Module for Basesystem 15 SP2 openssh Affected
SUSE Linux Enterprise Module for Server Applications 15 SP1 openssh Affected
SUSE Linux Enterprise Module for Server Applications 15 SP2 openssh Affected
SUSE Linux Enterprise Server 11 SP4 LTSS openssh Affected
SUSE Linux Enterprise Server 12 SP2 LTSS openssh Affected
SUSE Linux Enterprise Server 12 SP3 LTSS openssh Affected
SUSE Linux Enterprise Server 12 SP4 openssh Affected
SUSE Linux Enterprise Server 12 SP5 openssh Affected
SUSE Linux Enterprise Server 15 GA LTSS openssh Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP2 openssh Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP3 openssh Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP4 openssh Affected
SUSE Linux Enterprise Server for SAP Applications 12 SP5 openssh Affected